Bug 1570241 - Unable to log into developers.redhat.com using the same credentials that log into other Red Hat sites
Summary: Unable to log into developers.redhat.com using the same credentials that log ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Network
Classification: Retired
Component: RHN/Registration
Version: _unset
Hardware: x86_64
OS: Windows
unspecified
high
Target Milestone: ---
Assignee: Richard Bernleithner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-21 03:48 UTC by Rob Mamede
Modified: 2018-05-09 00:01 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-22 00:57:04 UTC


Attachments (Terms of Use)

Description Rob Mamede 2018-04-21 03:48:38 UTC
Description of problem:
While attempting to log into developers.redhat.com, the login attempt failed using the same login credentials that logged me in here to report this issue as well as into other Red Hat sites. This text was copied from the developer.redhat.com login page, stating that login credentials for other Red Hat sites can be used to log into the Developer Program: "You can use your existing Red Hat Developer Program, Red Hat Customer Portal, OpenShift Online, or other Red Hat account to log in."

Version-Release number of selected component (if applicable):


How reproducible:
Each and every time a login was attempted resulted in a failure.

Steps to Reproduce:
1. Navigate to the Red Hat Developer Program login page (https://developers.redhat.com/auth/realms/rhd/login-actions/authenticate?client_id=web&tab_id=Lz0tctaybYg)
2. Attempt to log in using the same credentials that were used to successfully log into this bugzilla.RedHat.com site to view this bug report
3. Observe that the login attempt fails, returning navigation to the login page with the "Email address or other Red Hat Login ID" field still populated with the information just submitted during the failed

Actual results:
A failed login attempt returning the message, "Error: Invalid login or password."

Expected results:
A successful login was expected.

Additional info:
The URL of the landing page of the last failed login attempt is as follows: https://developers.redhat.com/auth/realms/rhd/login-actions/authenticate?execution=aff427fb-ce14-4e9a-b0b4-8887493931d6&client_id=web&tab_id=Lz0tctaybYg

Comment 1 Rob Mamede 2018-04-21 03:56:51 UTC
Attempts to workaround the issue using the lost password link reported Success when specifying the email address and when specifying the Red Hat Login ID associated with the email address, however, after one and one-half hours, no email message as been received. The 'Resend email' link was clicked, specifying the email address in one attempt and the RHLogin ID in another attempt, each reporting a success in finding and sending to the email account.  Of course the Junk Mail folder was checked, as well as performing an extensive search through the entire email account for the terms, 'Red Hat,' 'redhat,' 'password,' 'reset,' 'developer,' and 'rhel' with no success locating the password recovery/reset email message at the account email address.

Comment 2 Richard Bernleithner 2018-04-22 00:57:04 UTC
developers.redhat.com is not integrated to authenticate via Bugzilla credentials.
You would have to use your access.redhat.com username (if you have one) in order to log onto the developers site.

Comment 3 Rob Mamede 2018-05-09 00:01:56 UTC
Very good. Thank you for the clarification.


Note You need to log in before you can comment on or make changes to this bug.